/*
	Fractal - A program to calculate Newton fractals.
	Copyright (C) 2004 Johannes Bauer
	
	This file is part of Fractal.

    Fractal is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    Fractal is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Fractal; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

	Johannes Bauer
	Mussinanstr. 140
	92318 Neumarkt/Opf.
	JohannesBauer@gmx.de
*/

#include <stdio.h>
#include <sys/timeb.h>

#include "CTimer.hpp"

//struct timeb Time;
CTimer::CTimer() {
	ftime(&this->Time);
};

void CTimer::Reset() {
	ftime(&this->Time);
}

double CTimer::Get() {
	struct timeb Now;
	double Start, Stop, Difference;
	ftime(&Now);
	Start=this->Time.time+((double)this->Time.millitm/1000.0);
	Stop=Now.time+((double)Now.millitm/1000.0);
	Difference=Stop-Start;
	return Difference;
}

void CTimer::Display() {
	printf("%.3f\n",this->Get());
}

CTimer::~CTimer() {
}
