/*
	Fractal - A program to calculate Newton fractals.
	Copyright (C) 2004 Johannes Bauer
	
	This file is part of Fractal.

    Fractal is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    Fractal is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Fractal; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

	Johannes Bauer
	Mussinanstr. 140
	92318 Neumarkt/Opf.
	JohannesBauer@gmx.de
*/

#include <stdio.h>
#include <errno.h>
#include <stdlib.h>
#include <string.h>

double rnd() {
	FILE *f;
	double n;
	unsigned long Number, Number_Max;
	Number_Max=(unsigned long)-1;
	f=fopen("/dev/urandom","r");
	if (f==NULL) {
		printf("Could not open random number device '/dev/urandom': %s\n",strerror(errno));
		return 1.0;
	}
	fread(&Number,1,sizeof(unsigned long),f);
	n=(((double)Number/(double)Number_Max)*6.0)-3.0;
	
	fclose(f);
	return n;
}

int main(int argc, char **argv) {
	int i;
	int Number;
	
	if (argc<2) {
		fprintf(stderr,"%s [Number of Numbers]\n",argv[0]);
		return 1;
	}

	Number=atoi(argv[1]);
	for (i=1;i<=Number;i++) {
		printf("%.46f",rnd());
		if (i!=Number) printf(" ");
	}
	printf("\n");

	return 0;
}
